Package org.apache.avro.idl

# Class IdlParser.PrimitiveTypeContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.avro.idl.IdlParser.PrimitiveTypeContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `IdlParser`

public static class IdlParser.PrimitiveTypeContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`org.antlr.v4.runtime.Token`
`precision`
`org.antlr.v4.runtime.Token`
`scale`
`org.antlr.v4.runtime.Token`
`typeName`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, EMPTY, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`PrimitiveTypeContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`org.antlr.v4.runtime.tree.TerminalNode`
`Boolean()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Bytes()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Comma()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Date()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Decimal()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Double()`
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`Float()`
`int`
`getRuleIndex()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Int()`
`List<org.antlr.v4.runtime.tree.TerminalNode>`
`IntegerLiteral()`
`org.antlr.v4.runtime.tree.TerminalNode`
`IntegerLiteral(int i)`
`org.antlr.v4.runtime.tree.TerminalNode`
`LocalTimestamp()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Long()`
`org.antlr.v4.runtime.tree.TerminalNode`
`LParen()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Null()`
`org.antlr.v4.runtime.tree.TerminalNode`
`RParen()`
`org.antlr.v4.runtime.tree.TerminalNode`
`String()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Time()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Timestamp()`
`org.antlr.v4.runtime.tree.TerminalNode`
`UUID()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### typeName

public org.antlr.v4.runtime.Token typeName

### precision

public org.antlr.v4.runtime.Token precision

### scale

public org.antlr.v4.runtime.Token scale

## Constructor Details

### PrimitiveTypeContext

public PrimitiveTypeContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

## Method Details

### Boolean

public org.antlr.v4.runtime.tree.TerminalNode Boolean()

### Int

public org.antlr.v4.runtime.tree.TerminalNode Int()

### Long

public org.antlr.v4.runtime.tree.TerminalNode Long()

### Float

public org.antlr.v4.runtime.tree.TerminalNode Float()

### Double

public org.antlr.v4.runtime.tree.TerminalNode Double()

### Bytes

public org.antlr.v4.runtime.tree.TerminalNode Bytes()

### String

public org.antlr.v4.runtime.tree.TerminalNode String()

### Null

public org.antlr.v4.runtime.tree.TerminalNode Null()

### Date

public org.antlr.v4.runtime.tree.TerminalNode Date()

### Time

public org.antlr.v4.runtime.tree.TerminalNode Time()

### Timestamp

public org.antlr.v4.runtime.tree.TerminalNode Timestamp()

### LocalTimestamp

public org.antlr.v4.runtime.tree.TerminalNode LocalTimestamp()

### UUID

public org.antlr.v4.runtime.tree.TerminalNode UUID()

### LParen

public org.antlr.v4.runtime.tree.TerminalNode LParen()

### RParen

public org.antlr.v4.runtime.tree.TerminalNode RParen()

### Decimal

public org.antlr.v4.runtime.tree.TerminalNode Decimal()

### IntegerLiteral

public List<org.antlr.v4.runtime.tree.TerminalNode> IntegerLiteral()

### IntegerLiteral

public org.antlr.v4.runtime.tree.TerminalNode IntegerLiteral(int i)

### Comma

public org.antlr.v4.runtime.tree.TerminalNode Comma()

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`